/*
  Sol: 6170 Patrick T. Sá 02/10/2015. Juros por periodo, incluidos dados na tabela TIMPOSTO_JUROS_PER de todos os impostos de SP(GARE, GARE_ST, GARE_D_A)
*/
SET TERM ^ ;

EXECUTE BLOCK
AS
  DECLARE VARIABLE wCodImp INTEGER;
  DECLARE VARIABLE wNewCodJur INTEGER;
BEGIN
  FOR SELECT i.bdcodimp FROM timposto i WHERE i.bddocarrecadacao IN(5, 22, 25) INTO :wCodImp DO
    BEGIN
      SELECT COALESCE(MAX(bdcodjuros)+1, 1) FROM timposto_juros_per per WHERE per.bdcodimp = :wCodImp into :wNewCodJur;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/1998', '11/30/1998', 1, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/12/1998', '12/31/1998', 2.18, 1);
	  wNewCodJur = :wNewCodJur +1;
	  INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/1999', '01/31/1999', 2.38, 1);
	  wNewCodJur = :wNewCodJur +1;
	  INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/1999', '02/28/1999', 3.33, 1);
	  wNewCodJur = :wNewCodJur +1;
	  INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/1999', '03/31/1999', 2.35, 1);
	  wNewCodJur = :wNewCodJur +1;
	  INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/1999', '04/30/1999', 2.02, 1);
	  wNewCodJur = :wNewCodJur +1;
	  INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/1999', '05/31/1999', 1.67, 1);
	  wNewCodJur = :wNewCodJur +1;
	  INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/1999', '06/30/1999', 1.66, 1);
	  wNewCodJur = :wNewCodJur +1;
	  INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/1999', '07/31/1999', 1.57, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/1999', '08/31/1999', 1.49, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/1999', '09/30/1999', 1.38, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/1999', '10/31/1999', 1.39, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/1999', '11/30/1999', 1.60, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/1999', '12/31/1999', 1.46, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2000', '01/31/2000', 1.45, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2000', '02/28/2000', 1.45, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2000', '03/31/2000', 1.30, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2000', '04/30/2000', 1.49, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2000', '05/31/2000', 1.39, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2000', '06/30/2000', 1.31, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2000', '07/31/2000', 1.41, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2000', '08/31/2000', 1.22, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2000', '09/30/2000', 1.29, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2000', '10/31/2000', 1.22, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2000', '11/30/2000', 1.20, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2000', '12/31/2000', 1.27, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2001', '01/31/2001', 1.02, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2001', '02/28/2001', 1.26, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2001', '03/31/2001', 1.19, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2001', '04/30/2001', 1.34, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2001', '05/31/2001', 1.27, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2001', '06/30/2001', 1.50, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2001', '07/31/2001', 1.60, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2001', '08/31/2001', 1.32, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2001', '09/30/2001', 1.53, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2001', '10/31/2001', 1.39, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2001', '11/30/2001', 1.39, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2001', '12/31/2001', 1.53, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2002', '01/31/2002', 1.25, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2002', '02/28/2002', 1.37, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2002', '03/31/2002', 1.48, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2002', '04/30/2002', 1.41, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2002', '05/31/2002', 1.33, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2002', '06/30/2002', 1.54, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2002', '07/31/2002', 1.44, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2002', '08/31/2002', 1.38, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2002', '09/30/2002', 1.65, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2002', '10/31/2002', 1.54, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2002', '11/30/2002', 1.74, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2002', '12/31/2002', 1.97, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2003', '01/31/2003', 1.83, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2003', '02/28/2003', 1.78, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2003', '03/31/2003', 1.87, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2003', '04/30/2003', 1.97, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2003', '05/31/2003', 1.86, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2003', '06/30/2003', 2.08, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2003', '07/31/2003', 1.77, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2003', '08/31/2003', 1.68, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2003', '09/30/2003', 1.64, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2003', '10/31/2003', 1.34, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2003', '11/30/2003', 1.37, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2003', '12/31/2003', 1.27, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2004', '01/31/2004', 1.08, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2004', '02/29/2004', 1.38, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2004', '03/31/2004', 1.18, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2004', '04/30/2004', 1.23, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2004', '05/31/2004', 1.23, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2004', '06/30/2004', 1.29, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2004', '07/31/2004', 1.29, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2004', '08/31/2004', 1.25, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2004', '09/30/2004', 1.21, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2004', '10/31/2004', 1.25, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2004', '11/30/2004', 1.48, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2004', '12/31/2004', 1.38, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2005', '01/31/2005', 1.22, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2005', '02/28/2005', 1.53, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2005', '03/31/2005', 1.41, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2005', '04/30/2005', 1.50, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2005', '05/31/2005', 1.59, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2005', '06/30/2005', 1.51, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2005', '07/31/2005', 1.66, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2005', '08/31/2005', 1.50, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2005', '09/30/2005', 1.41, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2005', '10/31/2005', 1.38, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2005', '11/30/2005', 1.47, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2005', '12/31/2005', 1.43, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2006', '01/31/2006', 1.15, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2006', '02/28/2006', 1.42, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2006', '03/31/2006', 1.08, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2006', '04/30/2006', 1.28, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2006', '05/31/2006', 1.18, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2006', '06/30/2006', 1.17, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2006', '07/31/2006', 1.26, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2006', '08/31/2006', 1.06, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2006', '09/30/2006', 1.09, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2006', '10/31/2006', 1.02, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2006', '11/30/2006', 1, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2006', '12/31/2006', 1.08, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2007', '01/31/2007', 1, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '02/01/2007', '02/28/2007', 1.05, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2007', '03/31/2007', 1, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2007', '04/30/2007', 1.03, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2007', '05/31/2008', 1, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2008', '06/30/2008', 1.07, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2008', '07/31/2008', 1.02, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2008', '08/31/2008', 1.10, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '09/01/2008', '09/30/2008', 1.18, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '10/01/2008', '10/31/2008', 1.02, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '11/01/2008', '11/30/2008', 1.12, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/01/2008', '12/31/2008', 1.05, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2009', '12/21/2009', 1, 1);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '12/22/2009', '01/08/2010', 0.13, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/09/2010', '04/30/2011', 0.10, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2011', '07/31/2011', 0.11, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '08/01/2011', '02/29/2012', 0.10, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '03/01/2012', '03/31/2012', 0.09, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '04/01/2012', '04/30/2012', 0.10, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '05/01/2012', '05/31/2012', 0.04, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '06/01/2012', '12/31/2013', 0.03, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDDATAFIM, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '01/01/2014', '06/30/2015', 0.04, 0);
	  wNewCodJur = :wNewCodJur +1;
      INSERT INTO TIMPOSTO_JUROS_PER(BDCODIMP, BDCODJUROS, BDDATAINI, BDJUROS, BDJURDIA) VALUES(:wCodImp, :wNewCodJur, '07/01/2015', 0.05, 0);
    END
END^

COMMIT WORK ^

SET TERM ; ^
